From 9afb5060cc1eb32876dff1ce0946913618948bf5 Mon Sep 17 00:00:00 2001
From: Sebastien Zwickert <dilaroga@free.fr>
Date: Fri, 25 Dec 2009 21:22:24 +0100
Subject: [PATCH 3/4] gui/macosx: fix a side effect when the playlist's splitview is resizing in embedded window.

---
 modules/gui/macosx/embeddedwindow.m |    2 ++
 1 files changed, 2 insertions(+), 0 deletions(-)

diff --git a/modules/gui/macosx/embeddedwindow.m b/modules/gui/macosx/embeddedwindow.m
index 57622e3..91c46d3 100644
--- a/modules/gui/macosx/embeddedwindow.m
+++ b/modules/gui/macosx/embeddedwindow.m
@@ -275,6 +275,8 @@
 {
 	if([splitView isVertical])
 		return proposedPosition;
+	else if ( splitView == o_vertical_split )
+		return proposedPosition ;
 	else {
 		float bottom = [splitView frame].size.height - [splitView dividerThickness];
 		if(proposedPosition > bottom - 50) {
-- 
1.6.1.3

